[SCM] pd-rtclib/master: script to tune local copy of packaging repo
umlaeute at users.alioth.debian.org
umlaeute at users.alioth.debian.org
Wed Oct 21 10:45:33 UTC 2015
The following commit has been merged in the master branch:
commit 5ab5c330fe4cbdb38c058a03e6578996869ae32d
Author: IOhannes m zmölnig <zmoelnig at umlautQ.umlaeute.mur.at>
Date: Wed Oct 21 12:19:49 2015 +0200
script to tune local copy of packaging repo
diff --git a/debian/git-tuneclone.sh b/debian/git-tuneclone.sh
new file mode 100755
index 0000000..760642e
--- /dev/null
+++ b/debian/git-tuneclone.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+## script to initialize a cloned repository
+## with per (local) repository settings.
+
+# - ignore quilt's .pc/ directory
+# - enable the "--follow-tags" mode for pushing
+
+error() {
+ echo "$@" 1>&2
+}
+
+NAME=$(dpkg-parsechangelog -S Source)
+
+if [ "x${NAME}" = "x" ]; then
+ error "unable to determine package name"
+ error "make sure you run this script within a source package dir"
+ exit 1
+fi
+
+if [ ! -d ".git" ]; then
+ error "it seems like this source package is not under git control"
+ exit 1
+fi
+
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+ || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
--
pd-rtclib packaging
More information about the pkg-multimedia-commits
mailing list